Skip to main content
GET
/
v1
/
identity
/
verifications
List verifications
curl --request GET \
  --url https://api.beltic.com/v1/identity/verifications \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "type": "verification",
      "attributes": {
        "status": "initiated",
        "created_at": "<string>",
        "checks": [
          {
            "name": "<string>",
            "status": "not_applicable",
            "reasons": [
              "<string>"
            ],
            "requirement": "not_required",
            "metadata": {}
          }
        ],
        "submitted_at": "<string>",
        "completed_at": "<string>",
        "redacted_at": "<string>"
      },
      "relationships": {
        "session": {
          "data": {
            "type": "session",
            "id": "<string>"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123,
      "hasNext": true,
      "hasPrevious": true,
      "total": 123
    }
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "next": "<string>",
    "prev": "<string>"
  }
}

Authorizations

X-Api-Key
string
header
required

API key for authentication. Access https://console.beltic.com/ to obtain your API key.

Query Parameters

status
enum<string>

Filter by verification status

Available options:
initiated,
passed,
failed,
requires_retry,
canceled
Example:

"passed"

session_id
string

Filter by session ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

created_at_from
string

Filter verifications created after this date (ISO 8601)

Example:

"2025-01-01T00:00:00.000Z"

created_at_to
string

Filter verifications created before this date (ISO 8601)

Example:

"2025-12-31T23:59:59.999Z"

page[size]
integer

Number of items per page (1-100)

Required range: 1 <= x <= 100
Example:

15

page[after]
string

Cursor for forward pagination

page[before]
string

Cursor for backward pagination

page[total]
boolean | null

Include total count in response

Example:

true

Response

Verifications retrieved successfully

data
object[]
required
meta
object
required